Package org.apache.sysds.runtime.iogen.template

# Class TemplateCodeGenBase

java.lang.Object
org.apache.sysds.runtime.iogen.template.TemplateCodeGenBase

Direct Known Subclasses:
  `FrameCodeGen`, `MatrixCodeGen`

public abstract class TemplateCodeGenBase extends Object

## Constructor Summary

Constructors
Constructor
Description
`TemplateCodeGenBase(CustomProperties properties, String className)`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`generateCodeCPP()`
`abstract String`
`generateCodeJava(FormatIdentifyer formatIdentifyer)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemplateCodeGenBase

public TemplateCodeGenBase(CustomProperties properties, String className)

## Method Details

### generateCodeJava

public abstract String generateCodeJava(FormatIdentifyer formatIdentifyer)

### generateCodeCPP

public abstract String generateCodeCPP()